.popular-tags{
    padding: 16px;
    margin: auto;
    max-width: 1108px; 
    background-color: transparent;
    border-radius: 6px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.popular-tags-head{
    margin-bottom: 20px;
    align-self: flex-start;
    padding: 20px;
    flex: 1;
}
 .popular-tags-head h2{
    background-image: linear-gradient(90deg, rgb(14, 165, 234), rgb(11, 209, 209) 51%);
    background-clip: text;
    -webkit-background-clip: text; /* Ensures it works on WebKit browsers */
    color: transparent; /* Makes the text transparent*/
    -webkit-text-fill-color: transparent; /*Makes the text transparent for WebKit browsers*/
    font-size: 40px;
    font-weight: 700;
    padding: 20px 0;
}
.popular-topics { 
    flex: 1;
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(160px,1fr));
    gap: 5px;
    justify-content: center;
    align-items: center;
} 
.topic{
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 8px;
    padding: 15px 10px;
    background-color: transparent;
    border: 1px solid rgb(34, 48, 68); 
    border-radius: 16px; 
    color:rgb(125, 145, 176);
    margin: 10px 0;
    transition: transform 0.3s ease;
}
.topic:hover{
    cursor: pointer;
    transform: translateY(-6px);
    border:1.2px solid rgb(14, 166, 236) ;
    box-shadow: rgba(11, 208, 208, 0.2) 0px 3px 20px 0px;
}
.topic img{
    width: 30px;
    height: 30px;
}